import { Routes, Route } from 'react-router-dom';
import { PrivateRoute } from './Util';
import { AppProvider } from './Contexts/AppContext';
import { AuthForm } from './Pages';
import { Nav, Quizcrums, QuizList } from './Components';

function App() {
  return (
    <Routes>
      <Route
        path="*"
        element={
          <PrivateRoute>
            <AppProvider>
              <Nav />
              <Quizcrums />
              <QuizList />
            </AppProvider>
          </PrivateRoute>
        }
      />
      <Route path="/auth" element={<AuthForm />} />
    </Routes>
  );
}

export default App;
