import { Typography, Breadcrumbs } from '@mui/material';
import { useLocation, Link } from 'react-router-dom';
import { useAppContext } from '../Contexts/AppContext';

const Quizcrums = () => {
  const { currentQuiz } = useAppContext();
  const { pathname } = useLocation();

  return (
    <Breadcrumbs aria-label="breadcrumb" p={1}>
      <Link underline="hover" color="inherit" to="/">
        <Typography color="text.primary">quizzer</Typography>
      </Link>
      {currentQuiz && pathname !== '/' ? (
        <Typography color="text.primary">{currentQuiz?.title}</Typography>
      ) : null}
    </Breadcrumbs>
  );
};

export default Quizcrums;
