import {
  Button,
  Dialog,
  DialogActions,
  DialogContent,
  DialogContentText,
  DialogTitle,
} from '@mui/material';
import { useAppContext } from '../Contexts/AppContext';
import { useNavigate } from 'react-router-dom';

const ResetQuiz = ({ open, handleClose, setOpen, id, title }) => {
  const { resetQuiz, currentQuiz } = useAppContext();
  const navigate = useNavigate();

  const handleConfirm = async () => {
    await resetQuiz();
    setOpen(false);
    navigate(`/${id}/setup`);
  };

  return (
    <Dialog
      open={open}
      onClose={handleClose}
      aria-labelledby="alert-dialog-title"
      aria-describedby="alert-dialog-description"
    >
      <DialogTitle id="alert-dialog-title">Reset Quiz</DialogTitle>
      <DialogContent>
        <DialogContentText id="alert-dialog-description">
          You currently have quiz <strong>{currentQuiz?.title}</strong> loaded,
          did you want to reset it and begin <strong>{title}</strong> instead?
        </DialogContentText>
      </DialogContent>
      <DialogActions>
        <Button onClick={handleClose}>no, return to menu</Button>
        <Button onClick={handleConfirm} color={'warning'}>
          yes, reset and start again
        </Button>
      </DialogActions>
    </Dialog>
  );
};

export default ResetQuiz;
